var HomeView = function( dataAdapter, template, listTemplate ) {
    
    this.initialize = function() {
        // Viewのために<div>ラッパーを定義する。
        // この<div>ラッパーにイベントを追加する。
        this.el = $('<div>');
        this.el.on( 'keyup', '.search-key', this.findByTitle );
    };
    
    
    this.render = function() {
        this.el.html( template() );
        return this;
    };
    
    
    this.findByTitle = function() {
        dataAdapter.findByTitle( $('.search-key').val() ).done( function( storyies ) {
            $('.story-list').html( listTemplate( storyies ) );
        }); 
    };
    
    
    this.initialize();
    
};