(function() {
    
    /* ----- Variables ----- */
    var dataAdapter = new MemoryAdapter();
    dataAdapter.initialize().done( function() {
        // do nothing
    });
    
    
    
    /* ----- Event ----- */
    $('.search-key').on('keyup', findByTitle );
    
    
    
    /* ----- Function ----- */
    function findByTitle() {
        dataAdapter.findByTitle( $('.search-key').val() ).done( function( storyies ) {
            var i,
                s,
                len = storyies.length;
            
            $('.story-list').empty();
            for ( i = 0; i < len; i ++ ) {
                s = storyies[i];
                $('.story-list').append('<li><a href="#stories/' + s.id + '">' + s.title + '</a></li>');
            }
        }); 
    }
    
    
    function showAlert( message, title ) {
        if ( navigator.notification ) {
            navigator.notification.alert( message, null, title, 'OK' );
        }
        else {
            alert( title ? ( title + ": " + message ) : message );
        }
    }
    
})();