Siriz.models.Story = Backbone.Model.extend({

    initialize:function () {
        // do nothing
    },

    sync: function(method, model, options) {
        if (method === "read") {
            Siriz.adapters.current.findById(this.id).done(function (data) {
                options.success(data);
            });
        }
    }

});


Siriz.models.Stories = Backbone.Collection.extend({

    model: Siriz.models.Story,

    sync: function(method, model, options) {
        if (method === "read") {
            Siriz.adapters.current.findByTitle(options.data.name).done(function (data) {
                options.success(data);
            });
        }
    }

});
